[MapProxy] Mapproxy 1.13.0: autoconfig problem

Previous Topic Next Topic
 
classic Classic list List threaded Threaded
1 message Options
Reply | Threaded
Open this post in threaded view
|

[MapProxy] Mapproxy 1.13.0: autoconfig problem

Robert k
Hello everybody,

I'm having problem in Ubuntu 20.04 LTS.

In Mapproxy 1.13.0 an error message is displayed in mapproxy-util autoconfig, in Mapproxy version 1.12.0 the command goes on the same server.


Example:

mapproxy-util autoconfig --capabilities = http: //sg.geodatenzentrum.de/wms_dtk250? SERVICE = WMS & VERSION = 1.1.1 & request = GetCapabilities


answer:
Traceback (most recent call last):
  File "/home/test/.local/bin/mapproxy-util", line 8, in <module>
    sys.exit(main())
  File "/home/test/.local/lib/python3.8/site-packages/mapproxy/script/util.py", line 387, in main
    commands[command]['func'](args)
  File "/home/test/.local/lib/python3.8/site-packages/mapproxy/script/conf/app.py", line 185, in config_command
    write_header(f, options.capabilities)
  File "/home/test/.local/lib/python3.8/site-packages/mapproxy/script/conf/app.py", line 59, in write_header
    print('# MapProxy configuration automatically generated from:', file=f)
  File "/usr/lib/python3.8/codecs.py", line 378, in write
    self.stream.write(data)
TypeError: write() argument must be str, not bytes


Does anyone know the problem or can I help?

best greetings
Robert
_______________________________________________
MapProxy mailing list
[hidden email]
https://lists.osgeo.org/mailman/listinfo/mapproxy